# Nano Grain

## Introduction

Nano-sized alloys can be stablizied thermodynamically by segregating solute atoms to the grain boundaries to prevent growth. Nano Grain is a package that calculates grain boundary energies for binary nano-sized alloys from easily obtainable materials properties. The binary model was originally reported by Darling et al. [1]. Nano Grain is used as an alloy design and screening tool to predict stable grain sizes.

We strive to make efficient numerical calculations and allow for a straightforward interface to both calculate and visualize the results you are interested in.

[1] K. A. Darling, M. A. Tschopp, B. K. VanLeeuwen, M. A. Atwater, and Z. K. Liu, “Mitigating grain growth in binary nanocrystalline alloys through solute selection based on thermodynamic stability maps,” Comput. Mater. Sci., vol. 84, pp. 255–266, 2014.

## Contributing

If you have any feature requests, please open an issue or send an email to the developers. Pull request are very welcome!

## Contact

Nano Grain is developed by researchers at the Pennsylvania State University. Please contact Brandon Bocklund [bocklund@psu.edu](bocklund@psu.edu) or Dr. Zi-Kui Liu [prof.zikui.liu@psu.edu](prof.zikui.liu@psu.edu) with any questions.
